Subject: Re: [PATCH] net/ipv4/netfilter/ip_tables.c: remove some inlines

From: Patrick McHardy <[email-masked]>
Date: Mon, 17 Dec 2007 15:47:05 +0100

Please CC netfilter-devel on netfilter patches.

Denys Vlasenko wrote:
> Hi Patrick, Harald,
> 
> I was working on unrelated problem and noticed that ip_tables.c
> seem to abuse inline. I prepared a patch which removes inlines
> except those which are used by packet matching code
> (and thus are really performance-critical).
> I added comments explaining that remaining inlines are
> performance critical.
> 
> Result as reported by size:
> 
>    text    data     bss     dec     hex filename
> -  6451     380      88    6919    1b07 ip_tables.o
> +  6339     348      72    6759    1a67 ip_tables.o
> 
> Please take this patch into netfilter queue.

This clashes with my pending patches, which I'll push upstream
today. I also spent some time resyncing ip_tables and ip6_tables
so a diff of both (with some sed'ing) shows only the actual
differences, so please update ip6_tables as well.